#include <stdbool.h>
#include <gint/display.h>
#include <gint/gray.h>
#include <gint/keyboard.h>
#include <gint/std/stdio.h>

int main(void)
{
	unsigned int c = 0;
	char string[10];
	bool hold = true;
	bool exit = false;
	extern image_t img_100;

	gray_start();

	gclear(C_BLACK);
	gtext( 10, 30, "0", C_WHITE, C_BLACK);
	gupdate();

	while (!exit)
	{
		pollevent();
		if (keydown_any(KEY_EXE, KEY_SHIFT, 0) && !hold)
		{
			c++;
			gclear(C_BLACK);
			if (c == 100)
			{
				gimage(20, 0, &img_100);
			}else{
				sprintf(string, "%u", c);
				gtext(10, 30, string,  C_WHITE, C_BLACK);
			}
			gupdate();
		}
		hold = keydown_any(KEY_EXE, KEY_SHIFT,0);
		exit = keydown(KEY_EXIT);
	}
	gray_stop();
	return 0;
}
